##
##  libgdome.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libgdome
Summary:      GNOME XML/DOM Library
URL:          http://gdome2.cs.unibo.it/
Vendor:       Paolo Casarini
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        XML
License:      LGPL
Version:      0.8.1
Release:      20120713

#   list of sources
Source0:      http://gdome2.cs.unibo.it/tarball/gdome2-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, pkgconfig, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  libxml, libiconv, glib
PreReq:       libxml, libiconv, glib

%description
    This is the DOM C library developped for the Gnome project. The
    Document Object Model (DOM) is a platform and language-neutral
    interface that will allow programs and scripts to dynamically access
    and update the content, structure and style of documents. A DOM
    implementation (also called a host implementation) is that piece
    of software which takes a parsed XML or HTML document and makes it
    available for processing via the DOM interfaces. A browser contains
    a host implementation, for example.

%track
    prog libgdome = {
        version   = %{version}
        url       = http://gdome2.cs.unibo.it/tarball/
        regex     = gdome2-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n gdome2-%{version}
    %{l_shtool} subst \
        -e 's;@GLIB_CONFIG@;pkg-config glib-2.0;g' \
        gdome-config.in

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-libxml-prefix=%{l_prefix} \
        --with-glib-prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

